> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CDN Bandwidth



## OpenAPI

````yaml /schemas/index.yaml get /sites/environments/{env_id}/analytics/cdn-bandwidth
openapi: 3.1.0
info:
  title: Kinsta API
  version: 1.95.0
  description: pages/introduction.md
  termsOfService: https://kinsta.com/legal/terms-service/
  x-logo:
    url: https://kinsta-api-resources.s3.amazonaws.com/kinsta-api-logo-light.svg
    href: /
  x-meta:
    title: Kinsta API - Kinsta® Docs
    description: >-
      Kinsta's REST API provides a streamlined and efficient way to work with
      our platform, allowing you to efficiently retrieve data, perform actions,
      and automate tasks.
servers:
  - url: https://api.kinsta.com/v2
security: []
tags:
  - name: Company Users
    description: pages/company-users/description.md
  - name: Domains
    description: pages/domains/description.md
  - name: Available Regions
    description: pages/available-regions/description.md
  - name: API Keys
    description: pages/api-keys/description.md
  - name: Activity Logs
    description: pages/activity-logs/description.md
  - name: WordPress Sites
    description: pages/wordpress-sites/description.md
  - name: WordPress Site Environments
    description: pages/wordpress-site-environments/description.md
  - name: WordPress Site Tools
    description: pages/wordpress-site-tools/description.md
  - name: WordPress Site Themes & Plugins
    description: pages/wordpress-site-themes-plugins/description.md
  - name: WordPress Site Domains
    description: pages/wordpress-site-domains/description.md
  - name: WordPress Edge Caching
    description: pages/wordpress-edge-caching/description.md
  - name: WordPress CDN
    description: pages/wordpress-cdn/description.md
  - name: Backups
    description: pages/backups/description.md
  - name: Logs
    description: pages/logs/description.md
  - name: Additional SFTP Users
    description: pages/additional-sftp-users/description.md
  - name: Analytics
    description: pages/analytics/description.md
  - name: Operations
    description: pages/operations/description.md
  - name: Authentication
    description: pages/authentication/description.md
paths:
  /sites/environments/{env_id}/analytics/cdn-bandwidth:
    get:
      tags:
        - Analytics
      summary: Get CDN Bandwidth
      operationId: getCdnBandwidth
      parameters:
        - schema:
            type: string
            example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
          required: true
          name: env_id
          in: path
        - schema:
            type: string
            enum:
              - 24_hours
              - 7_days
              - 30_days
              - 60_days
            default: 7_days
            example: 30_days
          required: false
          name: time_span
          in: query
        - schema:
            type: string
            example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
          required: true
          name: company_id
          in: query
        - schema:
            type:
              - string
              - 'null'
            example: '2025-10-20T00:00:00.000Z'
          required: false
          name: from
          in: query
        - schema:
            type:
              - string
              - 'null'
            example: '2025-10-30T00:00:00.000Z'
          required: false
          name: to
          in: query
      responses:
        '202':
          description: Getting CDN Bandwidth analytics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Analytics-Cdn-Bandwidth-Response'
        '400':
          description: >-
            One or more of the required parameters were not provided to the
            request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema400'
        '401':
          description: No or invalid API key provided to the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema401'
        '404':
          description: >-
            Could not find the company or the user does not have permissions to
            retrieve data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema404'
        '500':
          description: Error occurred while getting analytics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema500'
      security:
        - bearerAuth: []
components:
  schemas:
    Analytics-Cdn-Bandwidth-Response:
      type: object
      properties:
        analytics:
          type: object
          properties:
            analytics_response:
              type: object
              properties:
                key:
                  type: string
                  example: cdn-bandwidth
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        example: cdn-bandwidth
                      total:
                        type: number
                        example: 1000
                      dataset:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                              example: '2025-10-28T00:00:00.000Z'
                            value:
                              type: string
                              example: '1000'
                          required:
                            - key
                            - value
                    required:
                      - name
                      - total
                      - dataset
              required:
                - key
                - data
          required:
            - analytics_response
      required:
        - analytics
    StatusResponseSchema400:
      type: object
      properties:
        message:
          type: string
          example: Bad request format
        status:
          type: number
          example: 400
        data: {}
      required:
        - message
        - status
    StatusResponseSchema401:
      type: object
      properties:
        message:
          type: string
          example: No or invalid API key provided to the request
        status:
          type: number
          example: 401
        data: {}
      required:
        - message
        - status
    StatusResponseSchema404:
      type: object
      properties:
        message:
          type: string
          example: >-
            Could not find data or the user does not have permissions to
            retrieve it
        status:
          type: number
          example: 404
        data: {}
      required:
        - message
        - status
    StatusResponseSchema500:
      type: object
      properties:
        message:
          type: string
          example: Error occurred while processing your request
        status:
          type: number
          example: 500
        data: {}
      required:
        - message
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````